groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 14/53: tmac/tests/e_delayed-text-marks-work.sh: Add test.


From: G. Branden Robinson
Subject: [groff] 14/53: tmac/tests/e_delayed-text-marks-work.sh: Add test.
Date: Tue, 14 Dec 2021 01:21:49 -0500 (EST)

gbranden pushed a commit to branch master
in repository groff.

commit 7432d1541266d1bf95ca345a3d7711d3aa5123ed
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
AuthorDate: Fri Dec 10 15:45:43 2021 +1100

    tmac/tests/e_delayed-text-marks-work.sh: Add test.
    
    * tmac/tests/e_delayed-text-marks-work.sh: Add test.
    * tmac/tmac.am (tmac_TESTS): Run test.
    
    Test fails at this commit.
---
 ChangeLog                               |  5 +++
 tmac/tests/e_delayed-text-marks-work.sh | 55 +++++++++++++++++++++++++++++++++
 tmac/tmac.am                            |  1 +
 3 files changed, 61 insertions(+)

diff --git a/ChangeLog b/ChangeLog
index bf3ac54..8d13b19 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,10 @@
 2021-12-07  G. Branden Robinson <g.branden.robinson@gmail.com>
 
+       * tmac/tests/e_delayed-text-marks-work.sh: Add test.
+       * tmac/tmac.am (tmac_TESTS): Run test.
+
+2021-12-07  G. Branden Robinson <g.branden.robinson@gmail.com>
+
        * tmac/e.tmac: Rename internal register out of user name space.
        (@f): Rename `VL` to `__`; remove it immediately after using it.
 
diff --git a/tmac/tests/e_delayed-text-marks-work.sh 
b/tmac/tests/e_delayed-text-marks-work.sh
new file mode 100755
index 0000000..71845ad
--- /dev/null
+++ b/tmac/tests/e_delayed-text-marks-work.sh
@@ -0,0 +1,55 @@
+#!/bin/sh
+#
+# Copyright (C) 2021 Free Software Foundation, Inc.
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation, either version 3 of the License, or (at your
+# option) any later version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+groff="${abs_top_builddir:-.}/test-groff"
+
+set -e
+
+# Ensure that delayed text marks increment and reset as they should.
+
+input='.pp
+paragraph 1
+.(d
+\*# foo
+.)d
+.(d
+\*# bar
+.)d
+.pd
+.(d
+\*# baz
+.)d
+.pp
+paragraph 2
+.(d
+\*# qux
+.)d
+.pd
+.pp
+paragraph 3'
+
+output=$(echo "$input" | "$groff" -Tascii -P-cbou -me)
+
+echo "$output" | grep -Fx '[1] foo'
+echo "$output" | grep -Fx '[2] bar'
+echo "$output" | grep -Fx '[1] baz'
+echo "$output" | grep -Fx '[2] qux'
+
+# vim:set ai et sw=4 ts=4 tw=72:
diff --git a/tmac/tmac.am b/tmac/tmac.am
index 4eb16b7..a378cdb 100644
--- a/tmac/tmac.am
+++ b/tmac/tmac.am
@@ -185,6 +185,7 @@ tmac_TESTS = \
   tmac/tests/doc_do-not-loop-infinitely-when-shortening-headers.sh \
   tmac/tests/doc_smoke-test.sh \
   tmac/tests/e_columns-work-on-long-pages.sh \
+  tmac/tests/e_delayed-text-marks-work.sh \
   tmac/tests/e_footnotes-work-with-columns.sh \
   tmac/tests/s_IP-indents-using-paragraph-type-size.sh \
   tmac/tests/s_IP-respects-inter-sentence-space-in-tags.sh \



reply via email to

[Prev in Thread] Current Thread [Next in Thread]